## Index

### Type aliases

- CSVJSON
- CSVJSONRow
- CSVOptions
- FilePath

### Functions

- loadCSV
- loadCSVURI
- loadTSV

## Type aliases

### CSVJSON

CSVJSON: CSVJSONRow[]

- Defined in csv.ts:13

### CSVJSONRow

CSVJSONRow: {}

- Defined in csv.ts:10

#### Type declaration

- ##### [index: string]: string

### CSVOptions

CSVOptions: {}

- Defined in csv.ts:7

#### Type declaration

- ##### [index: string]: string | boolean

### FilePath

FilePath: String

- Defined in csv.ts:6

## Functions

### loadCSV

- loadCSV(filepath: string, options?: CSVOptions): Promise<CSVJSON>

- - Defined in csv.ts:61

  Asynchronously loads a CSV from either a filepath or remote URL and returns an array of objects

  example

    // returns [{header:value,header2:value2}] loadCSV('../mock/invalid-file.csv').then(csvData).catch(console.error)

  #### Parameters

  - ##### filepath: string

    URL to CSV path

  - ##### Optional options: CSVOptions

  #### Returns Promise<CSVJSON>

  returns an array of objects from a csv where each column header is the property name

### loadCSVURI

- loadCSVURI(filepath: string, options?: CSVOptions): Promise<CSVJSON>

- - Defined in csv.ts:23

  Asynchronously loads a CSV from a remote URL and returns an array of objects

  example

    // returns [{header:value,header2:value2}] loadCSVURI('https://raw.githubusercontent.com/repetere/modelscript/master/test/mock/data.csv').then(csvData).catch(console.error)

  #### Parameters

  - ##### filepath: string

    URL to CSV path

  - ##### Optional options: CSVOptions

  #### Returns Promise<CSVJSON>

  returns an array of objects from a csv where each column header is the property name

### loadTSV

- loadTSV(filepath: string, options?: CSVOptions): Promise<{}[]>

- - Defined in csv.ts:98

  Asynchronously loads a TSV from either a filepath or remote URL and returns an array of objects

  example

    // returns [{header:value,header2:value2}] loadCSV('../mock/invalid-file.tsv').then(csvData).catch(console.error)

  #### Parameters

  - ##### filepath: string

    URL to CSV path

  - ##### Optional options: CSVOptions

  #### Returns Promise<{}[]>

  returns an array of objects from a csv where each column header is the property name